org.apache.hadoop.mapred

## Class JobACLsManager

- java.lang.Object
- - org.apache.hadoop.mapred.JobACLsManager

-     @InterfaceAudience.Private
      public class JobACLsManager
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobACLsManager(org.apache.hadoop.conf.Configuration conf)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `areACLsEnabled()`
    `boolean` | `checkAccess(org.apache.hadoop.security.UserGroupInformation callerUGI, JobACL jobOperation, String jobOwner, org.apache.hadoop.security.authorize.AccessControlList jobACL)` If authorization is enabled, checks whether the user (in the callerUGI) is authorized to perform the operation specified by 'jobOperation' on the job by checking if the user is jobOwner or part of job ACL for the specific job operation.
    `Map<JobACL,org.apache.hadoop.security.authorize.AccessControlList>` | `constructJobACLs(org.apache.hadoop.conf.Configuration conf)` Construct the jobACLs from the configuration so that they can be kept in the memory.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JobACLsManager

          public JobACLsManager(org.apache.hadoop.conf.Configuration conf)

  - ### Method Detail

    - #### areACLsEnabled

          public boolean areACLsEnabled()

    - #### constructJobACLs

          public Map<JobACL,org.apache.hadoop.security.authorize.AccessControlList> constructJobACLs(org.apache.hadoop.conf.Configuration conf)

      Construct the jobACLs from the configuration so that they can be kept in the memory. If authorization is disabled on the JT, nothing is constructed and an empty map is returned.
      Returns:
        JobACL to AccessControlList map.

    - #### checkAccess

          public boolean checkAccess(org.apache.hadoop.security.UserGroupInformation callerUGI,
                                     JobACL jobOperation,
                                     String jobOwner,
                                     org.apache.hadoop.security.authorize.AccessControlList jobACL)

      If authorization is enabled, checks whether the user (in the callerUGI) is authorized to perform the operation specified by 'jobOperation' on the job by checking if the user is jobOwner or part of job ACL for the specific job operation.
      - The owner of the job can do any operation on the job
      - For all other users/groups job-acls are checked
      Parameters:
        `callerUGI` -
        `jobOperation` -
        `jobOwner` -
        `jobACL` -

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.